Social Fetch
Threads

Get Threads post

Returns public metadata for a single Threads post. Whether the post was found is indicated in `data.lookupStatus`.

Operation

GET/v1/threads/posts
Cost: 1 credit

Headers

x-api-keystringrequired(header)

API key (`sfk_...`)

Parameters

urlstringrequired(query)

Link to the Threads post.

min 1 chars · max 4096 chars

trimboolean(query)

When true, returns a smaller response with fewer fields.

Response fields

data
objectrequired

Endpoint-specific response payload.

datalookupStatus
stringrequired

Whether the post was found.

one of: found, not_found

datapost
objectrequirednullable

Primary post when found.

datapostid
stringrequired

Post id.

min 1 chars

datapostshortcode
stringrequired

Public shortcode for the post.

min 1 chars

dataposturl
stringrequired

Canonical public Threads URL.

min 1 chars

datapostcaption
stringrequirednullable

Caption text.

dataposttakenAt
integerrequired

Unix timestamp when the post was published.

≥ 0

datapostisReply
boolean

Whether this post is a reply.

datapostreplyControl
stringnullable

Reply audience setting when available.

datapostunavailableReason
stringnullable

Reason when content is unavailable.

dataauthor
objectrequirednullable

Author when found.

dataauthorplatform
stringrequired

Social platform for this author.

one of: threads

dataauthorplatformUserId
string

Numeric profile id.

dataauthorhandle
stringrequired

Threads username without a leading @.

min 1 chars

dataauthordisplayName
stringnullable

Display name.

dataauthoravatarUrl
stringnullable

Avatar image URL.

dataauthorverified
booleanrequired

Whether the profile is verified.

dataauthorprivateAccount
boolean

Whether the account is private.

datametrics
objectrequirednullable

Engagement metrics for a Threads post.

datametricslikes
integernullable

Like count when available.

≥ 0

datametricsviews
integernullable

View count when available.

≥ 0

datametricsreplies
integernullable

Direct reply count when available.

≥ 0

datametricsreposts
integernullable

Repost count when available.

≥ 0

datametricsquotes
integernullable

Quote count when available.

≥ 0

datametricsreshares
integernullable

Reshare count when available.

≥ 0

datamedia
objectrequirednullable

Primary media payload for the post.

datamediamediaType
stringrequired

Normalized media kind.

one of: text, image, video, carousel, unknown

datamediaimages
arrayrequired

Image renditions.

datamediaimages[]url
stringrequired

Media URL.

min 1 chars

datamediaimages[]width
integernullable

Width in pixels when available.

≥ 0

datamediaimages[]height
integernullable

Height in pixels when available.

≥ 0

datamediavideos
arrayrequired

Video renditions.

datamediavideos[]url
stringrequired

Media URL.

min 1 chars

datamediavideos[]width
integernullable

Width in pixels when available.

≥ 0

datamediavideos[]height
integernullable

Height in pixels when available.

≥ 0

datamediadimensions
object

Original dimensions when available.

datamediadimensionswidth
integerrequired

≥ 0

datamediadimensionsheight
integerrequired

≥ 0

datamediaaccessibilityCaption
stringnullable

Accessibility description when available.

datareplies
arrayrequired

Top-level replies when available.

datareplies[]id
stringrequired

Post id.

min 1 chars

datareplies[]shortcode
stringrequired

Public shortcode.

min 1 chars

datareplies[]url
stringrequired

Canonical public Threads URL.

min 1 chars

datareplies[]caption
stringrequirednullable

Caption text.

datareplies[]takenAt
integerrequired

Unix timestamp when published.

≥ 0

datareplies[]author
objectrequirednullable

Author when known.

datareplies[]authorplatform
stringrequired

Social platform for this author.

one of: threads

datareplies[]authorplatformUserId
string

Numeric profile id.

datareplies[]authorhandle
stringrequired

Threads username without a leading @.

min 1 chars

datareplies[]authordisplayName
stringnullable

Display name.

datareplies[]authoravatarUrl
stringnullable

Avatar image URL.

datareplies[]authorverified
booleanrequired

Whether the profile is verified.

datareplies[]authorprivateAccount
boolean

Whether the account is private.

datareplies[]metrics
objectrequirednullable

Engagement metrics for a Threads post.

datareplies[]metricslikes
integernullable

Like count when available.

≥ 0

datareplies[]metricsviews
integernullable

View count when available.

≥ 0

datareplies[]metricsreplies
integernullable

Direct reply count when available.

≥ 0

datareplies[]metricsreposts
integernullable

Repost count when available.

≥ 0

datareplies[]metricsquotes
integernullable

Quote count when available.

≥ 0

datareplies[]metricsreshares
integernullable

Reshare count when available.

≥ 0

datarelatedPosts
arrayrequired

Related posts when available.

datarelatedPosts[]id
stringrequired

Post id.

min 1 chars

datarelatedPosts[]shortcode
stringrequired

Public shortcode.

min 1 chars

datarelatedPosts[]url
stringrequired

Canonical public Threads URL.

min 1 chars

datarelatedPosts[]caption
stringrequirednullable

Caption text.

datarelatedPosts[]takenAt
integerrequired

Unix timestamp when published.

≥ 0

datarelatedPosts[]author
objectrequirednullable

Author when known.

datarelatedPosts[]authorplatform
stringrequired

Social platform for this author.

one of: threads

datarelatedPosts[]authorplatformUserId
string

Numeric profile id.

datarelatedPosts[]authorhandle
stringrequired

Threads username without a leading @.

min 1 chars

datarelatedPosts[]authordisplayName
stringnullable

Display name.

datarelatedPosts[]authoravatarUrl
stringnullable

Avatar image URL.

datarelatedPosts[]authorverified
booleanrequired

Whether the profile is verified.

datarelatedPosts[]authorprivateAccount
boolean

Whether the account is private.

datarelatedPosts[]metrics
objectrequirednullable

Engagement metrics for a Threads post.

datarelatedPosts[]metricslikes
integernullable

Like count when available.

≥ 0

datarelatedPosts[]metricsviews
integernullable

View count when available.

≥ 0

datarelatedPosts[]metricsreplies
integernullable

Direct reply count when available.

≥ 0

datarelatedPosts[]metricsreposts
integernullable

Repost count when available.

≥ 0

datarelatedPosts[]metricsquotes
integernullable

Quote count when available.

≥ 0

datarelatedPosts[]metricsreshares
integernullable

Reshare count when available.

≥ 0

meta
objectrequired

Metadata describing the request and billing outcome.

metarequestId
stringrequired

Unique request identifier for tracing this API call.

min 1 chars

metacreditsCharged
integerrequired

Credits charged for this request.

≥ 0

metaversion
stringrequired

Public API version that served the response.

one of: v1

Code example

Responses

Lookup result. Check `data.lookupStatus` for `found` or `not_found`.

Error codes

bad_requestinsufficient_creditsinternal_errorlookup_failedtemporarily_unavailableunauthorized

On this page